const regAssertParser = /(?<title>.*?)\n+(?<diff>.*?)\n+(?<stacktrace>    (?<where>at.*?file:\/\/(?<file>.*?):(?<line>\d+):(?<column>\d+)\)?)\n.*)/s

const regStack = /(?<=^    )at.*/gm

const stackParser = (stack) => {
  const m = stack.match(regAssertParser)

  const stacks = stack.match(regStack)

  return { ...m.groups, stacks }
}

export { stackParser }
